
"""
Clicker HID Python.py

This is an example how to use the PIC32MX Clicker as CDC USB device (COM Port) and Python 3 for datatransfer.

#---EQUIPMENT USED FOR THIS EXAMPLE---
Python USB Library: PySerial
OS: Windows 8.1 64
PIC IDLE: MikroC Pro for PIC32 v3.5.0
PIC IDLE Extensions: USB Device Library from Libstock (http://www.libstock.com/projects/view/568/usb-device-library)
Board: MikroE - PIC32MX Clicker

#---PYTHON / SERIAL LIB INSTALLATION--- 
1. Install Python 3.4.3 or higher (enable the installers "PATH Option")
2. Install PySerial
     Open Windows PowerShell (cmd.exe) by pushing WinButton + X
     enter "pip install pyserial" in cmd.exe
3. Open Clicker CDC Python.py with Python IDLE
4. Run py file by pushing F5
"""

import serial

#Please change the com port number by looking to your device Manager 
comPort = 5

ser = serial.Serial(port=comPort-1,timeout=0.1)
ser.write( (1,2,3) )
print("write 1,2,3")
print("read", ser.read(5) )

